Subject: Re: bug#11365: 24.1.50; quitting gdb does not restore window configuration

From: martin rudalics <[email-masked]>
Date: Wed, 02 May 2012 11:40:03 +0200

> The function to look at is gdb-reset.
 > (gdb-delete-frame-or-window is just what causes GDB to quit, but when
 > it actually does, the comint process sentinel kicks in and calls
 > gdb-reset.)  But for gdb-reset to do what Sam wants, gdb-setup-windows
 > should record the configuration of windows before it sets up the GDB
 > windows, otherwise we will have no information about the previous
 > window configuration.

I fail to understand you.  The window configuration *is* handled by
`gdb-delete-frame-or-window'.  What should `gdb-reset' do about it and
when?  IIUC Sam wants `gdb-delete-frame-or-window' restore a previous
configuration.

martin